services:
  app.listener.entity.user_listener:
    class: App\Listener\Entity\UserListener
    tags:
      - { name: doctrine.orm.entity_listener, entity: App\Entity\User\User, event: prePersist, lazy: true }
      - { name: doctrine.orm.entity_listener, entity: App\Entity\User\User, event: preUpdate, lazy: true }
      - { name: doctrine.orm.entity_listener, entity: App\Entity\User\User, event: postUpdate, lazy: true }
    arguments:
      [ '@security.user_password_hasher', '@parameter_bag', '@App\Service\CustomerService' ]